using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace MathToolBarDemo
{
    public partial class MainPage : UserControl
    {
        

        public MainPage()
        {
             Random random = new Random();

            InitializeComponent();
            List<RandomData> items = new List<RandomData>();

            for (int i = 0; i < 10; i++)
            {
                items.Add(new RandomData(random));
            }

            this.RadGridView1.ItemsSource = items;
        }
    }

    public class RandomData
    {
        public RandomData(Random random)
        {
            
            this.Value1 = random.NextDouble() * 100;
            this.Value2 = random.NextDouble() * 100;
        }

        public double Value1 { get; set; }
        public double Value2 { get; set; }
    }
}
